org.eclipse.cdt.core.model

## Interface IAsmLanguage

All Known Implementing Classes:
  AssemblyLanguage

    public interface IAsmLanguage

This is an optional extension interface to `ILanguage` which allows an assembly language variant to expose certain syntax characteristics.

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the CDT team.

Since:
  5.0

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getDirectiveKeywords()` Get the set of assembler directives defined for this variant.
`char[]` `getLineCommentCharacters()` Get the set of valid line comment characters defined for this assembly variant.
`char` `getLineSeparatorCharacter()` Get the line separator character defined for this assembly variant.
`String[]` `getPreprocessorKeywords()` Get the preprocessor keywords (directives) defined for this variant.

### Method Detail

#### getLineCommentCharacters

    char[] getLineCommentCharacters()

Get the set of valid line comment characters defined for this assembly variant.

Returns:
  an array line comment characters

#### getLineSeparatorCharacter

    char getLineSeparatorCharacter()

Get the line separator character defined for this assembly variant. The line separator character is used to split physical lines into logical lines. `'\0'` means that no line separator character is defined.

Returns:
  the line separator character or `'\0'`

#### getDirectiveKeywords

    String[] getDirectiveKeywords()

Get the set of assembler directives defined for this variant.

Returns:
  an array of keywords

#### getPreprocessorKeywords

    String[] getPreprocessorKeywords()

Get the preprocessor keywords (directives) defined for this variant.

Returns:
  an array of keywords